Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.local
Class LocalFile

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractFileObject
          org.apache.commons.vfs.provider.local.LocalFile

All Implemented Interfaces:
  FileObject

public class LocalFile
extends AbstractFileObject
implements FileObject

A file object implementation which uses direct file access.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch, Gary D. Gregory

Constructor Summary
`protected` | `LocalFile(LocalFileSystem fileSystem, String rootFile, FileName name)` Creates a non-root file.

Method Summary
`protected void` | `doAttach()` Attaches this file object to its file resource.
`protected void` | `doCreateFolder()` Creates this folder.
`protected void` | `doDelete()` Deletes this file, and all children.
`protected long` | `doGetContentSize()` Returns the size of the file content (in bytes).
`protected InputStream` | `doGetInputStream()` Creates an input stream to read the content from.
`protected long` | `doGetLastModifiedTime()` Gets the last modified time of this file.
`protected OutputStream` | `doGetOutputStream(boolean bAppend)` Creates an output stream to write the file content to.
`protected RandomAccessContent` | `doGetRandomAccessContent(RandomAccessMode mode)` Creates access to the file for random i/o.
`protected FileType` | `doGetType()` Returns the file's type.
`protected boolean` | `doIsHidden()` Determines if this file is hidden.
`protected boolean` | `doIsReadable()` Determines if this file can be read.
`protected boolean` | `doIsSameFile(FileObject destFile)` Checks if this fileObject is the same file as `destFile` just with a different name.
`protected boolean` | `doIsWriteable()` Determines if this file can be written to.
`protected String[]` | `doListChildren()` Returns the children of the file.
`protected void` | `doRename(FileObject newfile)` rename this file
`protected void` | `doSetLastModifiedTime(long modtime)` Sets the last modified time of this file.
`protected File` | `getLocalFile()` Returns the local file that this file object represents.

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileObject
`canRenameTo, childrenChanged, childrenChanged, close, copyFrom, createFile, createFolder, delete, delete, doDetach, doGetAttributes, doGetCertificates, doListChildrenResolved, doSetAttribute, endOutput, exists, finalize, findFiles, findFiles, getChild, getChildren, getContent, getFileContentInfoFactory, getFileOperations, getFileSystem, getInputStream, getName, getOutputStream, getOutputStream, getParent, getRandomAccessContent, getType, getURL, handleChanged, handleCreate, handleDelete, holdObject, injectType, isAttached, isContentOpen, isHidden, isReadable, isSameFile, isWriteable, moveTo, notifyAllStreamsClosed, onChange, onChildrenChanged, refresh, resolveFile, resolveFile, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.FileObject
`canRenameTo, close, copyFrom, createFile, createFolder, delete, delete, exists, findFiles, findFiles, getChild, getChildren, getContent, getFileOperations, getFileSystem, getName, getParent, getType, getURL, isAttached, isContentOpen, isHidden, isReadable, isWriteable, moveTo, refresh, resolveFile, resolveFile`

Constructor Detail

### LocalFile

    protected LocalFile(LocalFileSystem fileSystem,
                        String rootFile,
                        FileName name)
                 throws FileSystemException

  Creates a non-root file.

Method Detail

### getLocalFile

    protected File getLocalFile()

  Returns the local file that this file object represents.

### doAttach

    protected void doAttach()
                     throws Exception

  Attaches this file object to its file resource.

  Overrides:
    `doAttach` in class `AbstractFileObject`
  Throws:
    `Exception`

### doGetType

    protected FileType doGetType()
                          throws Exception

  Returns the file's type.

  Specified by:
    `doGetType` in class `AbstractFileObject`
  Throws:
    `Exception`

### doListChildren

    protected String[] doListChildren()
                               throws Exception

  Returns the children of the file.

  Specified by:
    `doListChildren` in class `AbstractFileObject`
  Throws:
    `Exception`

### doDelete

    protected void doDelete()
                     throws Exception

  Deletes this file, and all children.

  Overrides:
    `doDelete` in class `AbstractFileObject`
  Throws:
    `Exception`

### doRename

    protected void doRename(FileObject newfile)
                     throws Exception

  rename this file

  Overrides:
    `doRename` in class `AbstractFileObject`
  Throws:
    `Exception`

### doCreateFolder

    protected void doCreateFolder()
                           throws Exception

  Creates this folder.

  Overrides:
    `doCreateFolder` in class `AbstractFileObject`
  Throws:
    `Exception`

### doIsWriteable

    protected boolean doIsWriteable()
                             throws FileSystemException

  Determines if this file can be written to.

  Overrides:
    `doIsWriteable` in class `AbstractFileObject`
  Throws:
    `FileSystemException`

### doIsHidden

    protected boolean doIsHidden()

  Determines if this file is hidden.

  Overrides:
    `doIsHidden` in class `AbstractFileObject`

### doIsReadable

    protected boolean doIsReadable()
                            throws FileSystemException

  Determines if this file can be read.

  Overrides:
    `doIsReadable` in class `AbstractFileObject`
  Throws:
    `FileSystemException`

### doGetLastModifiedTime

    protected long doGetLastModifiedTime()
                                  throws FileSystemException

  Gets the last modified time of this file.

  Overrides:
    `doGetLastModifiedTime` in class `AbstractFileObject`
  Throws:
    `FileSystemException`

### doSetLastModifiedTime

    protected void doSetLastModifiedTime(long modtime)
                                  throws FileSystemException

  Sets the last modified time of this file.

  Overrides:
    `doSetLastModifiedTime` in class `AbstractFileObject`
  Throws:
    `FileSystemException`

### doGetInputStream

    protected InputStream doGetInputStream()
                                    throws Exception

  Creates an input stream to read the content from.

  Specified by:
    `doGetInputStream` in class `AbstractFileObject`
  Throws:
    `Exception`

### doGetOutputStream

    protected OutputStream doGetOutputStream(boolean bAppend)
                                      throws Exception

  Creates an output stream to write the file content to.

  Overrides:
    `doGetOutputStream` in class `AbstractFileObject`
  Throws:
    `Exception`

### doGetContentSize

    protected long doGetContentSize()
                             throws Exception

  Returns the size of the file content (in bytes).

  Specified by:
    `doGetContentSize` in class `AbstractFileObject`
  Throws:
    `Exception`

### doGetRandomAccessContent

    protected RandomAccessContent doGetRandomAccessContent(RandomAccessMode mode)
                                                    throws Exception

  Description copied from class: `AbstractFileObject`
  Creates access to the file for random i/o. Is only called if `AbstractFileObject.doGetType()` returns `FileType.FILE`.

  It is guaranteed that there are no open output streams for this file when this method is called.

  Overrides:
    `doGetRandomAccessContent` in class `AbstractFileObject`
  Throws:
    `Exception`

### doIsSameFile

    protected boolean doIsSameFile(FileObject destFile)
                            throws FileSystemException

  Description copied from class: `AbstractFileObject`
  Checks if this fileObject is the same file as `destFile` just with a different name.
  E.g. for case insensitive filesystems like windows.

  Overrides:
    `doIsSameFile` in class `AbstractFileObject`
  Throws:
    `FileSystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.